<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="../../../wtp.xsl"?>
<html>
<head>
  <meta name="root" content="../../../../" />
  <title>Xerces Download Instructions</title>
</head>
<body>

<h1>Xerces Download Instructions</h1>

<p>
In the WTP Milestone 2 release, the XML validator requires Xerces 2.6.2. In order to use
the XML validator you will need to download Xerces 2.6.2 and make the jars available to the
XML Validator plugin as described in the steps below:

<ol>
  <li>
    Before downloading Xerces, please read the licensing information found <a href="http://xml.apache.org/legal.html">here</a>.
  </li>
  <li>
    Download the Xerces 2.6.2 zip file <a href="http://www.apache.org/dist/xml/xerces-j/Xerces-J-bin.2.6.2.zip">here</a>.
  </li>
  <li>
    Unzip the binary into a temp directory
  </li>
  <li>
    Locate the jars folder under the XML Validator plugin (eg. &lt;wtpInstallDirectory&gt;/eclipse/plugins/org.eclipse.wst.xml.validation_1.0.0/jars)
  </li>
  <li>
    Copy xercesImpl.jar and xmlParserAPIs.jar from the temp directory into the jars folder.
  </li>
  <li>
    If the Eclipse IDE is already running, close it down
  </li>
  <li>
    Restart Eclipse with the <B>-clean</B> argument for the change to take effect. 
  </li>
</ol>


</p>

</body>
</html>
